Package org.lwjgl.opengles

# Class NVFramebufferVertexAttribArray

java.lang.Object
org.lwjgl.opengles.NVFramebufferVertexAttribArray

public final class NVFramebufferVertexAttribArray extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_FRAMEBUFFER_ATTACHABLE_NV`
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_HEIGHT_NV`
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_NORMALIZED_NV`
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_OFFSET_NV`
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_SIZE_NV`
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_STRIDE_NV`
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_TYPE_NV`
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_WIDTH_NV`
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_NV`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glFramebufferVertexAttribArrayNV(int target, int attachment, int buffertarget, int bufferobject, int size, int type, boolean normalized, long offset, long width, long height, int stride)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_FRAMEBUFFER_ATTACHABLE_NV

public static final int GL_FRAMEBUFFER_ATTACHABLE_NV

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_NV

public static final int GL_VERTEX_ATTRIB_ARRAY_NV

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_SIZE_NV

public static final int GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_SIZE_NV

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_TYPE_NV

public static final int GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_TYPE_NV

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_NORMALIZED_NV

public static final int GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_NORMALIZED_NV

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_OFFSET_NV

public static final int GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_OFFSET_NV

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_WIDTH_NV

public static final int GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_WIDTH_NV

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_STRIDE_NV

public static final int GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_STRIDE_NV

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_HEIGHT_NV

public static final int GL_FRAMEBUFFER_ATTACHMENT_VERTEX_ATTRIB_ARRAY_HEIGHT_NV

See Also:
  - Constant Field Values

## Method Details

### glFramebufferVertexAttribArrayNV

public static void glFramebufferVertexAttribArrayNV(int target, int attachment, int buffertarget, int bufferobject, int size, int type, boolean normalized, long offset, long width, long height, int stride)